package org.alef1.marathon.tutorial.dialog;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

public class Main {

	public static void main(String[] args) {
		
		final JFrame frame = new JFrame();
		
		frame.setTitle("Main Window");
		
		JLabel info = new JLabel(explain);
		info.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
		
		frame.add(info);
		
		JButton execButton = new JButton("Execute");
		JPanel panel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
		
		panel.add(execButton);
		frame.add(panel, BorderLayout.SOUTH);
		
		frame.setSize(300, 200);
		frame.setVisible(true);
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	
		execButton.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				JOptionPane.showMessageDialog(frame, "Execution was successful!");
			}
			
		});
		
	}
	
	final static String explain = 
		"<html><body>This application is used by the Marathon tutorial.<br>" +
		"It shows how to test the content of a popup dialog displaying " +
		"the result of some processing.<br><br>" +
		"Click the execute button and see a message window appear.</body></html>"
	;
	
}
